<?php

use Silvanus\includes\blocks\AcfBlockFields;

try {
    $fields = new AcfBlockFields('Title & Text', __FILE__);
    $fields->addContainerSettings();
    // Block Fields
    $fields->addText('Title');
    $fields->addWysiwyg('Text', ['rows' => 3]);
    $fields->addRepeater('Buttons', ['layout' => 'block'])
        ->addLink('button', ['return_format' => 'array'])
        ->endRepeater();
    return $fields->build();

} catch (\StoutLogic\AcfBuilder\FieldNameCollisionException $e) {

}
